Subject: Re: stmmac latest patches (Dec09)

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 16 Dec 2009 08:26:04 +0100

Hi Jean,
Jean-Hugues Deschenes wrote:
> 
> 
> Giuseppe CAVALLARO wrote:
>> - - [PATCH 1/4] stmmac: thinking about a generic driver for Synopsys
>> Controllers.
>>   
> Looks good to me. This way, the driver architecture will more closely

Many thanks for your prompt feedback! This was the first goal of this patch.

> follow the Synopsys IP architecture.
>> - - [PATCH 2/4] stmmac: add the new Header file for stmmac platform data
>> - - [PATCH 3/4] stmmac: use MII_BUS_ID_SIZE instead of  BUS_ID_SIZE
>> - - [PATCH 4/4] stmmac: convert unicast addr list to list_head
>>   
> These 3 basically fix build errors with the newer kernels. great.

Yes, you are right.

- ---
I'm resending the patches reworked to be applied against the updated
net-2.6 Git.

Feel free to give me any advice and feedback. Welcome review as usual.
I think, it's worth having this patch subset on net-2.6 also to help
other developers to start working on this driver.

Any news about the idea to rename the stmmac as synmac?
I'm wondering if this could be done for the net-next-2.6 repository.
Please, David, Eric, what do you think?

Best Regards,
Giuseppe